ssh2_sftp_lstat
ssh2_sftp_readlink
SSH2 Functions
PHP Manual

# ssh2_sftp_mkdir

(PECL ssh2:0.10-0.9)

ssh2_sftp_mkdir — Create a directory

### Description

bool ssh2_sftp_mkdir ( resource `$sftp` , string `$dirname` [, int `$mode` [, bool `$recursive` ]] )

Creates a directory on the remote file server with permissions set to `mode` .

This function is similar to using mkdir() with the ssh2.sftp:// wrapper.

### Parameters

`sftp`

  An SSH2 SFTP resource opened by ssh2_sftp().

`dirname`

  Path of the new directory.

`mode`

  Permissions on the new directory.

`recursive`

  If `recursive` is `TRUE` any parent directories required for `dirname` will be automatically created as well.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 Creating a directory on a remote server

`<?php
$connection = ssh2_connect('shell.example.com', 22);
ssh2_auth_password($connection, 'username', 'password');
$sftp = ssh2_sftp($connection);
ssh2_sftp_mkdir($sftp, '/home/username/newdir');
/* Or: mkdir("ssh2.sftp://$sftp/home/username/newdir"); */
?>`

### See Also

- mkdir()
- ssh2_sftp_rmdir()

ssh2_sftp_lstat
ssh2_sftp_readlink
SSH2 Functions
PHP Manual